function FormatFone(Fone as String) as String
dim Tam       as Number
dim Telefone  as String
dim Zero800   as String

Telefone = Fone

if (Telefone <> "") then

   Tam = Len(Telefone)
   if (Tam>4) and (Mid(Telefone, 1, 4)="0800") then
      Zero800  = "0800 "
      Telefone = Mid(Telefone, 5, Len(Telefone) - 4)
   end if
   Tam = Len(Telefone)
   if (Tam < 5) then
      Telefone = Fone
   else
      if (Tam < 10) then
         Telefone = Mid(Telefone, 1, Len(Telefone) - 4) & "-" & Mid(Telefone, Len(Telefone)-3, 4)
      else
         Telefone = "("& Mid(Telefone, 1, Len(Telefone) - 8) & ") " & Mid(Telefone, Len(Telefone) - 7, 4) & "-" & Mid(Telefone, Len(Telefone) - 3, 4)
      end if
   end if
end if
FormatFone = Zero800 & Telefone

end function

